Loading...
Searching...
No Matches
sce_parameters Struct Reference
Collaboration diagram for sce_parameters:
[legend]

## Public Member Functions

OSCAP_API struct sce_parameters * | sce_parameters_new (void)
OSCAP_API void | sce_parameters_free (struct sce_parameters *v)
OSCAP_API const char * | sce_parameters_get_xccdf_directory (struct sce_parameters *v)
OSCAP_API void | sce_parameters_set_session (struct sce_parameters *v, struct sce_session *value)
| Sets SCE session to use for check results storage.
OSCAP_API struct sce_session * | sce_parameters_get_session (struct sce_parameters *v)
OSCAP_API void | sce_parameters_allocate_session (struct sce_parameters *v)
| Just a convenience shortcut of setting a session to a newly allocated session.

## Data Fields

char * | xccdf_directory
struct sce_session * | session

## Member Function Documentation

## sce_parameters_allocate_session()

OSCAP_API void sce_parameters_allocate_session | ( | struct sce_parameters * | v | ) |

Just a convenience shortcut of setting a session to a newly allocated session.

The session gets automatically freed when sce_parameters are freed, don't deallocate it!

## sce_parameters_set_session()

OSCAP_API void sce_parameters_set_session | ( | struct sce_parameters * | v,
|  | struct sce_session * | value )

Sets SCE session to use for check results storage.

Parameters

  v |
  value | SCE session to use (sce_parameters take ownership of it, don't deallocate it!)

The documentation for this struct was generated from the following files:

- sce_engine.c
- sce_engine_api.h